import inspect


class MapInfo(object):
    def __init__(self, from_type, to_type):
        self.from_type = from_type
        self.to_type = to_type

        self.to_type_init_params = inspect.signature(to_type.__init__).parameters
